//
// Copyright 1996, Thomas Andrews (thomaso@best.com)
// Free for non-commercial use
//
#include "Integer.h"

class ChooseTable {
private:
    Integer **N;
    static const Integer zero;
    unsigned int _n;
public:
    ChooseTable(unsigned int n,unsigned int k);
    ~ChooseTable();
    const Integer& operator()(unsigned int n,unsigned int k) const { 
	return (n>=k) ? N[n][k] : ChooseTable::zero;
    }
};

extern ChooseTable Choose;
