//
// Copyright 1996, Thomas Andrews (thomaso@best.com)
// Free for non-commercial use
//
#include "Choose.H"

class IncrSequence {
   int _count;
   int *_arr;
public:
   IncrSequence( int count, const int *arr);
   IncrSequence( int count, Integer squashed);
   ~IncrSequence()  { delete [] _arr; }
   int size() { return _count; }
   ostream &write(ostream &) const;
   Integer squashedIndex() const;
   operator Integer() const { return squashedIndex(); }
   int operator[](int i) { return _arr[i]; }
};

