//
// Copyright 1996, Thomas Andrews (thomaso@best.com)
// Free for non-commercial use
//
#include <string.h>
#include "Choose.H"

/* 
 *
 *	The ChooseTable is just a fast choose function.
 *	Rather gross, actually.  Once created, it acts
 *	like a function, so that we can call Choose(n,k).
 *      The object just states the limits to which we expect
 *	to call it.
 */
ChooseTable Choose(53,13);

/*
 *	The template class, "tDeal", can be used with other
 *	sizes.  Used templates instead of parameters for
 *      faster computations.
 *
 */

main (int argc, char **argv) {
        Integer value;
        const int factor=11;
	cout << Choose(26,13) << endl;
	cout << Choose(39,13) << endl;
	cout << Choose(52,13) << endl;
	mul(Choose(39,13),Choose(26,13),value);
        cout << value << endl;
        value *= Choose(52,13);
	cout << value << endl;
	value /= factor;
	Integer power=factor;
	while (power<value) {
		power *= factor;
	}
	cout << power << endl;
        return 0;
}
